MyGUI::ITexture Class Referenceabstract

`#include <MyGUI_ITexture.h>`

## Public Member Functions

virtual | ~ITexture ()=default
virtual const std::string & | getName () const =0
virtual void | createManual (int _width, int _height, TextureUsage _usage, PixelFormat _format)=0
virtual void | loadFromFile (const std::string &_filename)=0
virtual void | saveToFile (const std::string &_filename)=0
virtual void | setShader (const std::string &_shaderName)=0
virtual void | setInvalidateListener (ITextureInvalidateListener *)
virtual void | destroy ()=0
virtual void * | lock (TextureUsage _access)=0
virtual void | unlock ()=0
virtual bool | isLocked () const =0
virtual int | getWidth () const =0
virtual int | getHeight () const =0
virtual PixelFormat | getFormat () const =0
virtual TextureUsage | getUsage () const =0
virtual size_t | getNumElemBytes () const =0
virtual IRenderTarget * | getRenderTarget ()

## Detailed Description

Definition at line 27 of file MyGUI_ITexture.h.

## Constructor & Destructor Documentation

## ~ITexture()

virtual MyGUI::ITexture::~ITexture | ( |  | ) |

virtual default

## Member Function Documentation

## createManual()

virtual void MyGUI::ITexture::createManual | ( | int | _width,
|  | int | _height,
|  | TextureUsage | _usage,
|  | PixelFormat | _format )

pure virtual

## destroy()

virtual void MyGUI::ITexture::destroy | ( |  | ) |

pure virtual

## getFormat()

virtual PixelFormat MyGUI::ITexture::getFormat | ( |  | ) | const

pure virtual

## getHeight()

virtual int MyGUI::ITexture::getHeight | ( |  | ) | const

pure virtual

## getName()

virtual const std::string & MyGUI::ITexture::getName | ( |  | ) | const

pure virtual

## getNumElemBytes()

virtual size_t MyGUI::ITexture::getNumElemBytes | ( |  | ) | const

pure virtual

## getRenderTarget()

virtual IRenderTarget * MyGUI::ITexture::getRenderTarget | ( |  | ) |

inline virtual

Definition at line 56 of file MyGUI_ITexture.h.

## getUsage()

virtual TextureUsage MyGUI::ITexture::getUsage | ( |  | ) | const

pure virtual

## getWidth()

virtual int MyGUI::ITexture::getWidth | ( |  | ) | const

pure virtual

## isLocked()

virtual bool MyGUI::ITexture::isLocked | ( |  | ) | const

pure virtual

## loadFromFile()

virtual void MyGUI::ITexture::loadFromFile | ( | const std::string & | _filename | ) |

pure virtual

## lock()

virtual void * MyGUI::ITexture::lock | ( | TextureUsage | _access | ) |

pure virtual

## saveToFile()

virtual void MyGUI::ITexture::saveToFile | ( | const std::string & | _filename | ) |

pure virtual

## setInvalidateListener()

virtual void MyGUI::ITexture::setInvalidateListener | ( | ITextureInvalidateListener * |  | ) |

inline virtual

Definition at line 39 of file MyGUI_ITexture.h.

## setShader()

virtual void MyGUI::ITexture::setShader | ( | const std::string & | _shaderName | ) |

pure virtual

## unlock()

virtual void MyGUI::ITexture::unlock | ( |  | ) |

pure virtual

The documentation for this class was generated from the following file:

- MyGUI_ITexture.h